package de.unikoblenz.fgbks.dmn.frontend;

import io.quarkus.runtime.ShutdownEvent;
import io.quarkus.runtime.StartupEvent;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@ApplicationScoped
public class AppLifecycleBean {

  private static final Logger LOGGER = LoggerFactory.getLogger("AppLifecycle");

  void onStart(@Observes StartupEvent ev) {
    LOGGER.info("The dmn verification application (frontend) is starting...");
  }

  void onStop(@Observes ShutdownEvent ev) {
    LOGGER.info("The dmn verification application (frontend) is stopping...");
  }
}
